Get associated deployments
-
GET
/deployments/traffic-filter/rulesets/{ruleset_id}/associations
Auth
Retrieves a list of deployments that are associated to the specified ruleset.
-
ruleset_id
string
required
-
The mandatory ruleset ID.
Associations referred by traffic filter rulesets were successfully returned
application/json
-
associations
object[]
required
-
List of associations
-
-
entity_type
string
required
-
Type of the traffic filter ruleset association, such as 'deployment', 'cluster'
-
id
string
required
-
ID of the entity, such as the deployment ID or Elasticsearch cluster ID.
-
total_associations
integer · format: int32
required
-
Total number of associations. This includes associations the user does not have permission to view.
Error fetching deployments. (code: traffic_filter.request_execution_failed)
application/json
-
errors
object[]
required
-
A list of errors that occurred in the failing request
-
-
code
string
required
-
A structured code representing the error type that occurred
-
message
string
required
-
A human readable message describing the error that occurred
-
fields
string[]
-
If the error can be tied to a specific field or fields in the user request, this lists those fields